##############################
# DEMO for wallclock
##############################

  # touch 'auto_path', so that package can be found even
  #  it has not been installed in 'standard' directories.
 set thisDir [file normalize [file dirname [info script]]]
 lappend auto_path [file dirname $thisDir]
   
 package require wallclock 1.0
 
  wallclock .wc1 -bg yellow
  wallclock .wc2 -bg green
  pack .wc1 .wc2

  label .msg -text "
Two wallclocks are initially displayed.
After 10 seconds, the 1st wallclock's '-timeformat' and '-interval' is changed.
After 30 seconds, the 2nd wallclock is destroyed
"
  pack .msg

  .wc1 start
  .wc2 start

    # after 10 sec, change the wc1 configuration
  after 10000 {
    bell
    .wc1 configure -interval "2 seconds" -timeformat "%a %H:%M:%S (updated every 2 secs)"
    .wc1 start ;# re-start
  }
   
   # after 30 secs, destroy wc2 and deallocates the resources
  after 30000  { bell ; destroy .wc2 } 
